float4x4 View;
float4x4 Projection;
float Time;

struct vsInputPass
{
	float4	pos			: POSITION;
	float2	tex			: TEXCOORD0;
};

struct vsOutputPass
{
	float4	pos			: POSITION;
	float2	tex			: TEXCOORD0;
	float4	color			: COLOR;
};

vsOutputPass vsTransform(vsInputPass input)
{
	vsOutputPass output;
	input.pos.z = cos(length(input.pos.xy)*6+Time)*0.25;
	output.color = float4(0.75-input.pos.z, 0, 0, 1);
	output.pos = mul( input.pos, View );
	output.pos = mul( output.pos, Projection );

	output.tex = input.tex;
	return output;
}

float4 psPass(vsOutputPass input) : COLOR0
{
	return input.color;
}

technique Simplest{
	pass P0
	{
		CullMode = None;
		VertexShader = compile vs_2_0 vsTransform();
		PixelShader  = compile ps_2_0 psPass();
	}
}
